> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/2.1/for-developers/rest-api/core/open-id/start-login-through-the-external-openid-provider.md).

# Start login through the external OpenID provider

Returns the provider authorization URL the user should be redirected to.

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.1.0"},"tags":[{"name":"OpenID","description":"External OpenID providers used for logging in to defguard."}],"paths":{"/api/v1/openid/auth_info":{"get":{"tags":["OpenID"],"summary":"Start login through the external OpenID provider","description":"Returns the provider authorization URL the user should be redirected to.","operationId":"get_auth_info","responses":{"200":{"description":"Authorization URL of the external provider.","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"Requires an active enterprise license.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"No external OpenID provider is configured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to build authorization URL.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}}}
```
